Cyberduck Mountain Duck CLI

#8948 closed defect (worksforme)

Mismatch between MD5 hash and ETag for download

Reported by: ChrisGame Owned by: dkocher
Priority: normal Milestone: 4.8
Component: s3 Version: 4.7.1
Severity: blocker Keywords: 4.7.1 (17885)
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

When i try a quick view from the file listing in the app a dialog is displayed with the following error...

Mismatch between MD5 hash d41d8cd98f00b204e9800998ecf8427e of downloaded data and ETag 1fa4cdd503483e51ddf6e83bd7b7d0a7 returned by the server.

I saw a ticket for this being fixed but it looks like the version i'm on should include that fix

Also the first action i attempted was to sync with my S3 bucket but this resulted in empty copies of all the files being downloaded. When i look in the s3 bucket using the aws console it now shows all my files as 0 bytes. Downloading them shows they are now empty.

Transcripts for a quick view...

GET /photos/photos/20140426-EU5A3677-2.jpg HTTP/1.1
Date: Thu, 23 Jul 2015 21:24:13 GMT
x-amz-request-payer: requester
Authorization: AWS AKIAJ4WP53EHZU4JJMYQ:unS9U25iIX0ktOhTFwf6XxUGt4U=
Host: greenbanks.freakypenguin.com.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.7.1.17885 (Mac OS X/10.10.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: cNlAsROdckL9hI0C+YtLfVlyjIyZcsHd/H2JUpD8Vo5DVkzgA25w8OT1iiLboy0LRImtAoV4Wn4=
x-amz-request-id: 5F15AC0C96868B6D
Date: Thu, 23 Jul 2015 21:24:16 GMT
Content-Disposition: attachment
Last-Modified: Thu, 23 Jul 2015 20:36:15 GMT
ETag: "d41d8cd98f00b204e9800998ecf8427e"
Accept-Ranges: bytes
Content-Type: image/jpeg
Content-Length: 0
Server: AmazonS3

Transcript for a syncronize...

GET / HTTP/1.1
Date: Thu, 23 Jul 2015 21:26:46 GMT
x-amz-request-payer: requester
Authorization: AWS AKIAJ4WP53EHZU4JJMYQ:hoAHPgkcdWRACViYA089Ss3PZGU=
Host: s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.7.1.17885 (Mac OS X/10.10.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: I8QrWkB4WhP0NskskCFhz25b7Zceh+xKtcOh+JRWg0SY8wsELD/xywTqllljAczD
x-amz-request-id: 24A98A4729981A63
Date: Thu, 23 Jul 2015 21:26:49 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3

Change History (3)

comment:1 Changed on Jul 24, 2015 at 12:32:49 PM by dkocher

  • Milestone set to 4.8
  • Status changed from new to assigned
  • Summary changed from Mismatch between MD5 hash and ETag on a 6.5MB file to Mismatch between MD5 hash and ETag for download

comment:2 Changed on Oct 28, 2015 at 9:18:53 AM by dkocher

Can you reproduce this issue with version 4.7.3 available?

comment:3 Changed on Nov 4, 2015 at 1:08:07 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please reopen this ticket if the issue can still be reproduced.

Note: See TracTickets for help on using tickets.